@mixin flagsStyle {
  &.AUD {
    background-image: url('../../#{$path-images}/flags/AUD.svg');
  }

  &.BAM {
    background-image: url('../../#{$path-images}/flags/BAM.svg');
  }

  &.BGN {
    background-image: url('../../#{$path-images}/flags/BGN.svg');
  }
  &.CAD {
    background-image: url('../../#{$path-images}/flags/CAD.svg');
  }
  &.CZK {
    background-image: url('../../#{$path-images}/flags/CZK.svg');
  }
  &.DKK {
    background-image: url('../../#{$path-images}/flags/DKK.svg');
  }
  &.GBP {
    background-image: url('../../#{$path-images}/flags/GBP.svg');
  }
  &.HUF {
    background-image: url('../../#{$path-images}/flags/HUF.svg');
  }
  &.HRK {
    background-image: url('../../#{$path-images}/flags/HRK.svg');
  }
  &.JPY {
    background-image: url('../../#{$path-images}/flags/JPY.svg');
  }
  &.NOK {
    background-image: url('../../#{$path-images}/flags/NOK.svg');
  }

  &.PLN {
    background-image: url('../../#{$path-images}/flags/PLN.svg');
  }

  &.RUB {
    background-image: url('../../#{$path-images}/flags/RUB.svg');
  }

  &.RSD {
    background-image: url('../../#{$path-images}/flags/RSD.svg');
  }

  &.SEK {
    background-image: url('../../#{$path-images}/flags/SEK.svg');
  }

  &.CHF {
    background-image: url('../../#{$path-images}/flags/CHF.svg');
  }

  &.USD {
    background-image: url('../../#{$path-images}/flags/USD.svg');
  }

  &.MKD {
    background-image: url('../../#{$path-images}/flags/MKD.svg');
  }

  &.EUR {
    background-image: url('../../#{$path-images}/flags/EUR.svg');
  }
}

.exchange-header-wrapper {
  padding-bottom: 16px;

  .exchange-header-title {
    font-size: 24px;
    font-family: $istok-web;
    color: $nlbDarkGreyColor;
    font-weight: normal;
  }

  .exchange-header-date {
    font-family: $roboto;
    color: $navigationLabelGray;
    font-size: 16px;
  }
}

.exchange-wrapper {
  padding: 8px 0;
  .exchange-header {
    font-family: $istok-web;
    border-bottom: 1px solid $nlbLightGreyColor;
    padding-bottom: 11px;
    color: $nlbGreyColor;
    font-size: 16px;
    font-weight: bold;
  }

  .exchange-body {
    &-item {
      border-bottom: 1px solid $nlbLightGreyColor;
      padding: 8px 0;
      &:last-child {
        border-bottom: none;
      }
      &-icon-text {
        display: flex;

        .exchange-body-item-icon {
          width: 48px;
          height: 48px;
          background-repeat: no-repeat;
          margin-right: 24px;

          @include flagsStyle;
        }

        .exchange-body-item-text {
          span {
            display: block;
          }
        }
      }

      .ebi-currency {
        font-size: 16px;
        font-family: $istok-web;
        font-weight: bold;
        color: $nlbDarkGreyColor;
      }

      .ebi-rate {
        font-size: 16px;
        font-family: $roboto;
        font-weight: bold;
        color: $nlbDarkGreyColor;
        @include media-breakpoint-down(sm) {
          font-size: 14px;
        }
      }

      .ebi-country {
        color: $nlbGreyColor;
        font-family: $roboto;
        font-size: 16px;
        font-weight: normal;
      }
    }
  }
}
